Bug Hunting Session
Bug 106323 - Tab layout in dialogs is too cramped
Summary: Tab layout in dialogs is too cramped
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Dialog UI-Theming
  Show dependency treegraph
 
Reported: 2017-03-04 21:35 UTC by andreas_k
Modified: 2018-03-17 00:23 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
tabbs layout in dialog (68.97 KB, image/png)
2017-03-08 12:40 UTC, andreas_k
Details
Layout of the tabbed toolbar change but not for the tabs in dialogs (47.89 KB, image/png)
2017-05-11 07:07 UTC, andreas_k
Details
Different Tab Layouts in LibreOffice (429.01 KB, application/vnd.oasis.opendocument.presentation)
2017-10-12 23:41 UTC, andreas_k
Details
tabl style on windows 10 (44.04 KB, image/png)
2018-03-17 00:23 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2017-03-04 21:35:26 UTC
dialogues are ordinary groupd with tabs in the different sections. The good thing is that the grouping is really good, the bad thing is that tabs look very "difficult".

For the notebook tabs toolbar the minimum size of the tabs was defined and it was in improvement. so maybe resize the tabs that they fill the wide of the dialogue could help?
Comment 1 Xisco Faulí 2017-03-08 11:36:03 UTC Comment hidden (obsolete)
Comment 2 andreas_k 2017-03-08 12:40:21 UTC
Created attachment 131751 [details]
tabbs layout in dialog
Comment 3 andreas_k 2017-03-19 18:20:12 UTC
good example how a minimum wide for tabs would help.

https://wiki.documentfoundation.org/images/b/b3/Colors_5.1-5-3.jpeg
Comment 4 andreas_k 2017-04-19 23:22:44 UTC
Idea one
- add vertical padding/margin
- define a minimum width
- all tabbs width is the dialog width

Idea two
- move the tabs to the left as a sidebar
- you can group the entries in groups and subgroups
- better for widescreen
- a lot of work
Comment 5 Yousuf Philips (jay) (retired) 2017-04-20 05:42:35 UTC
As the look of dialog tabs are defined by a users OS theme, nothing can be done here other than telling a user to change their theme.

So from my point of view this is WONTFIX.

@Stuart, @Cor, @Heiko: whats your take?
Comment 6 andreas_k 2017-04-20 07:26:17 UTC
at the first tabbed bar implementation there was no minimum wide defined, with the minimum wide it look way better.

I think it's wonderfull, that LibreOffice will use the OS design, but my kde tabs didn't look like in LibreOffice in addition in MS the tabs look also out of place.

with option 2 you can fix this issue by a workaround and it would help to arrange the dialogs with more than 4 tabs.
Comment 7 Yousuf Philips (jay) (retired) 2017-04-20 12:20:51 UTC
(In reply to andreas_k from comment #6)
> I think it's wonderfull, that LibreOffice will use the OS design, but my kde
> tabs didn't look like in LibreOffice in addition in MS the tabs look also
> out of place.

Yes that is reported in bug 105884.

> with option 2 you can fix this issue by a workaround and it would help to
> arrange the dialogs with more than 4 tabs.

We would likely be moving to horizontal tabs/tree for dialogs, similar to the hyperlink dialog, so that would fix the issue as it wouldnt be OS themed.
Comment 8 Thomas Lendo 2017-04-20 19:15:11 UTC
I would vote against a minimum width of tabs because it wouldn't fit into the OS design and the mouse ways would be longer when switching through the tabs for searching a setting.

I also don't see much benefit in the wide tabs layout in the current tabbed notebookbar as shown in the screenshot from Andreas. You will have too few space on small screens and it is a design users don't know from elsewhere. MSO 2013 hasn't so wide tabs, see https://bug-attachments.documentfoundation.org/attachment.cgi?id=132532

(In reply to Yousuf Philips (jay) from comment #7)
> We would likely be moving to horizontal tabs/tree for dialogs, similar to
> the hyperlink dialog, so that would fix the issue as it wouldnt be OS themed.
There were reasons for Mozilla switching from a vertical settings tree (sidebar layout) to a horizontal settings tab layout long ago (the last change was an issue of space I assume). Users are more confident with a tabbed horizontal layout as most of LibO's dialogs have it today. Users with LTR and RTL writing can easier search for horizontal information.
Comment 9 Yousuf Philips (jay) (retired) 2017-04-20 20:27:19 UTC
(In reply to Thomas Lendo from comment #8)
> I also don't see much benefit in the wide tabs layout in the current tabbed
> notebookbar as shown in the screenshot from Andreas. You will have too few
> space on small screens and it is a design users don't know from elsewhere.
> MSO 2013 hasn't so wide tabs, see
> https://bug-attachments.documentfoundation.org/attachment.cgi?id=132532

The difference between LO and MSO is that MSO's ribbon (and entire app) is fully themed by them, which unfortunately LO doesnt have. Tiny sized tabs are more difficult to hit with a mouse or a with a touch screen, but we are designing it for screens that are 1280px wide or more, but a user's OS theme will always cause issues that we wont forsee.
Comment 10 andreas_k 2017-04-20 20:31:03 UTC
we can also say use gnome in gnome LibreOffice look good. If you use Microsoft Windows it's your fault, that LibreOffice tabs look like 1999.

sorry for the hard words, but if you have a look at the attachment it didn't look good.
Comment 11 andreas_k 2017-05-11 07:07:44 UTC
Created attachment 133227 [details]
Layout of the tabbed toolbar change but not for the tabs in dialogs

attached you will find a screenshot of the tabbed toolbar and tabs in dialogs.

In the last weeks the tabs of the toolbar have now a minimum size AND a specific height. Please define also the height of tabbs in dialogs and maybe add only a little horizontal padding/margin that the text wasn't at the tab boarders.
Comment 12 V Stuart Foote 2017-05-11 11:58:06 UTC
Sorry, disagree. If anything the Tabs of the MUFFIN elements should be fully released to OS and DE for styling.
Comment 13 andreas_k 2017-05-11 12:01:34 UTC
And why is the tabbed layout different to the tabs in dialogs.
Comment 14 V Stuart Foote 2017-05-11 12:07:54 UTC
(In reply to andreas_k from comment #13)
> And why is the tabbed layout different to the tabs in dialogs.

Completely different source. The Tabs for Notebookbar are a new UI development for MUFFIN--the tabs in dialog frames are core and legacy to LO function.  More appropriate to correctly integrate the Notebookbar to pick up UI controls allowing OS DE norms than the other way round.
Comment 15 Yousuf Philips (jay) (retired) 2017-05-11 14:02:19 UTC
Unfortunately as long as the OS theme decides how the UI looks in LibreOffice, this wont be fixed.
Comment 16 andreas_k 2017-10-12 23:41:58 UTC
Created attachment 136940 [details]
Different Tab Layouts in LibreOffice

Attached is a presentation about some dialogs from writer.

As you can see in most dialogues there is no "padding" between the text and the tab. If you have a look at the Paragraph Style Dialog (menubar -> style -> edit style)there is a padding (page 11 on windows 7 page 12 on gtk and page 13 on kde).

So it look way better in the Paragraph Style Dialog in addition as the tabs have a bit more wide, they are easier to click by mouse.

I'm 100% in favor that LibreOffice should use the OS theme but also the Paragraph Style dialog use the OS theme, and as you can see on page 11 to 13 they look good in all OS themes, not only GTK3.
Comment 17 andreas_k 2018-03-17 00:23:29 UTC
Created attachment 140666 [details]
tabl style on windows 10

as you can see the style for tabs is nearly the same the only difference is that MS Office add space left and right to the tab label which improve not only the style it helps also usability cause small tabs like Page, Area, ... can grab easier by mouse when the tab is a bit more wide